org.bouncycastle.crypto.tls

## Class TlsOuputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.bouncycastle.crypto.tls.TlsOuputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class TlsOuputStream
    extends java.io.OutputStream

An OutputStream for an TLS connection.

### Method Summary

Methods
`void` `close()`
`void` `cose()` Deprecated. Use 'close' instead
`void` `flush()`
`void` `write(byte[] buf, int offset, int len)`
`void` `write(int arg0)`

### Methods inherited from class java.io.OutputStream

`write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### write

    public void write(byte[] buf,
             int offset,
             int len)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write(int arg0)
               throws java.io.IOException

Specified by:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### cose

    public void cose()
              throws java.io.IOException

Deprecated. Use 'close' instead

Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Overrides:
  `close` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### flush

    public void flush()
               throws java.io.IOException

Specified by:
  `flush` in interface `java.io.Flushable`
Overrides:
  `flush` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`